package com.yunfeiyun.agmp.fms.service;

import com.yunfeiyun.agmp.fms.domain.MppProduct;

import java.util.List;

/**
 * 产品信息Service接口
 * 
 * @author 杨晓辉
 * @date 2023-05-21
 */
public interface IMppProductService 
{
    /**
     * 查询产品信息
     * 
     * @param productId 产品信息主键
     * @return 产品信息
     */
    public MppProduct selectMppProductByProductId(String productId);

    /**
     * 查询产品信息列表
     * 
     * @param mppProduct 产品信息
     * @return 产品信息集合
     */
    public List<MppProduct> selectMppProductList(MppProduct mppProduct);

    /**
     * 新增产品信息
     * 
     * @param mppProduct 产品信息
     * @return 结果
     */
    public int insertMppProduct(MppProduct mppProduct);

    /**
     * 修改产品信息
     * 
     * @param mppProduct 产品信息
     * @return 结果
     */
    public int updateMppProduct(MppProduct mppProduct);

    /**
     * 批量删除产品信息
     * 
     * @param productIds 需要删除的产品信息主键集合
     * @return 结果
     */
    public int deleteMppProductByProductIds(String[] productIds);

    /**
     * 删除产品信息信息
     * 
     * @param productId 产品信息主键
     * @return 结果
     */
    public int deleteMppProductByProductId(String productId);
}
